This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 727882 - Add support for Kerberos ticket delegation
Add support for Kerberos ticket delegation
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: curl (Show other bugs)
6.1
Unspecified Unspecified
urgent Severity urgent
: rc
: ---
Assigned To: Kamil Dudka
BaseOS QE Security Team
: Regression, ZStream
Depends On: 719938
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-03 10:18 EDT by RHEL Product and Program Management
Modified: 2013-04-17 05:56 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
As a solution to a security issue, GSSAPI credential delegation was disabled, which broke the functionality of the applications that were relying on delegation, which was incorrectly enabled by libcurl. To fix this issue, the CURLOPT_GSSAPI_DELEGATION libcurl option has been introduced in order to enable delegation explicitly when applications need it. All applications using GSSAPI credential delegation can now use this new libcurl option to be able to run properly.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-18 13:40:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description RHEL Product and Program Management 2011-08-03 10:18:09 EDT
This bug has been copied from bug #719938 and has been proposed
to be backported to 6.1 z-stream (EUS).
Comment 8 Miroslav Svoboda 2011-08-10 12:16:02 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
As a solution to a security issue, GSSAPI credential delegation was disabled, which broke the functionality of the applications that were relying on delegation, which was incorrectly enabled by libcurl. To fix this issue, the CURLOPT_GSSAPI_DELEGATION libcurl option has been introduced in order to enable delegation explicitly when applications need it. All applications using GSSAPI credential delegation can now use this new libcurl option to be able to run properly.
Comment 10 errata-xmlrpc 2011-08-18 13:40:34 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1186.html

Note You need to log in before you can comment on or make changes to this bug.